/***************************************************************************
 *   Copyright (C) 2004 by Toplica Tanaskovic                              *
 *   toptan@kde.org.yu                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EDACOMPLINEDATA_H
#define EDACOMPLINEDATA_H

#include <edacomppolylinedata.h>

/**
This class holds data for line primitive.

@author Toplica Tanaskovic
*/
class EDACompLineData : public EDACompPolylineBaseData
{
Q_OBJECT
public:
    EDACompLineData(const QPoint & pos, const QPoint & vector, const QColor & color = Qt::black, QObject *parent = 0, const char *name = 0);
    EDACompLineData(const QPoint & pos, double size, double angle, const QColor & color = Qt::black, QObject *parent = 0, const char *name = 0);
    ~EDACompLineData();
    QPoint getVector() const;
    void setVector(const QPoint & vector);
    double getSize() const;
    void setSize(double size);

protected:
    QPoint m_vector;
protected:
    virtual void recalc();
};

#endif
