/***************************************************************************
 *   Copyright (C) 2004 by Toplica Tanaskovic                              *
 *   toptan@kde.org.yu                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "edacomppolylinedata.h"

#include <qpen.h>

EDACompPolylineBaseData::EDACompPolylineBaseData(const QPoint & pos, const QColor & color, QObject *parent, const char *name)
 : EDACompPrimitiveDataBase(pos, color, parent, name), m_pen(QPen(color))
{
}

EDACompPolylineBaseData::~EDACompPolylineBaseData()
{
}




/*!
    \fn EDACompPolylineData::getPen() const
 */
QPen EDACompPolylineBaseData::getPen() const
{
    return m_pen;
}


/*!
    \fn EDACompPolylineData::setPen(const QPen & pen)
 */
void EDACompPolylineBaseData::setPen(const QPen & pen)
{
    m_pen = pen;
    emit signalUpdateData();
}
