/***************************************************************************
 *   Copyright (C) 2004 by Toplica Tanaskovic                              *
 *   toptan@kde.org.yu                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EDACOMPPOLYLINEDATA_H
#define EDACOMPPOLYLINEDATA_H

#include <edacompprimitivedatabase.h>

#include <qpen.h>

/**
This is a base class for all polylines and polygons.

@author Toplica Tanaskovic
*/
class EDACompPolylineBaseData : public EDACompPrimitiveDataBase
{
Q_OBJECT
public:
    EDACompPolylineBaseData(const QPoint & pos, const QColor & color = Qt::black, QObject *parent = 0, const char *name = 0);

    ~EDACompPolylineBaseData();
    QPen getPen() const;
    void setPen(const QPen & pen);

protected:
    QPen m_pen;
};

#endif
