/***************************************************************************
 *   Copyright (C) 2004 by Toplica Tanaskovic                              *
 *   toptan@kde.org.yu                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EDACOMPPRIMITIVEDATABASE_H
#define EDACOMPPRIMITIVEDATABASE_H

#include <qobject.h>
#include <qpoint.h>
#include <qcolor.h>

/**
This is base class for all component primitives. All primitives must be directly or indirectly derived from this class.

@author Toplica Tanaskovic
*/
class EDACompPrimitiveDataBase : public QObject
{
Q_OBJECT
public:
    EDACompPrimitiveDataBase(const QPoint & pos, const QColor & color = Qt::black, QObject *parent = 0, const char *name = 0);

    ~EDACompPrimitiveDataBase();
    void setPosition(const QPoint & pos);
    QPoint getPosition() const;
    void move(const QPoint & vector);
    QColor getColor() const;
    void setColor(const QColor & color);
    double getAngle() const;
    void setAngle(double angle);
    void rotate(double delta);

signals:
    void signalUpdateData();
protected:
    QPoint m_position;
    QColor m_color;
    double m_angle;
protected:
    virtual void recalc() = 0;
};

#endif
