/***************************************************************************
 *   Copyright (C) 2004 by Toplica Tanaskovic                              *
 *   toptan@kde.org.yu                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EDACOMPRECTDATA_H
#define EDACOMPRECTDATA_H

#include <edacomppolylinedata.h>
#include <qbrush.h>
#include <qpointarray.h>

/**
This class holds data for rectangle primitive.

@author Toplica Tanaskovic
*/
class EDACompRectData : public EDACompPolylineBaseData
{
Q_OBJECT
public:
    EDACompRectData(const QPoint & pos, const QSize & size, const QColor & color = Qt::black, QObject *parent = 0, const char *name = 0);

    ~EDACompRectData();
    QSize getSize() const;
    QBrush getBrush() const;
    void setBrush(const QBrush & brush);
    void setSize(const QSize & size);

protected:
    QSize m_size;
    QBrush m_brush;
    QPointArray m_points;
protected:
    virtual void recalc();
};

#endif
